import request from '@/utils/request'

// 查询文档（地区）列表
export function listData(query) {
  return request({
    url: '/system/noteNation/list',
    method: 'get',
    params: query
  })
}

// 查询文档（地区）详细
export function getData(id) {
  return request({
    url: '/system/noteNation/' + id,
    method: 'get'
  })
}

// 新增文档（地区）
export function addData(data) {
  return request({
    url: '/system/noteNation',
    method: 'post',
    data: data
  })
}

// 修改文档（地区）
export function updateData(data) {
  return request({
    url: '/system/noteNation',
    method: 'put',
    data: data
  })
}

// 删除文档（地区）
export function delData(id) {
  return request({
    url: '/system/noteNation/' + id,
    method: 'delete'
  })
}
// 删除文件
export function delFile(ids) {
  return request({
    url: '/system/noteNation/' + ids,
    method: 'delete'
  })
}
